Bug 29158 - Web installer fails to load account_offset_types.sql
Summary: Web installer fails to load account_offset_types.sql
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 22435
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-02 20:32 UTC by Katrin Fischer
Modified: 2021-10-27 13:41 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29158: (bug 22435 follow-up) Remove ref to account_offset_types.sql in intaller (1.49 KB, patch)
2021-10-25 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29158: (bug 22435 follow-up) Remove ref to account_offset_types.sql in intaller (1.55 KB, patch)
2021-10-26 13:47 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-10-02 20:32:48 UTC
There is an error running the web installer on current master:

account_offset_types.sql

Something went wrong loading file /home/vagrant/kohaclone/installer/data/mysql/mandatory/account_offset_types.sql (Couldn't read '/home/vagrant/kohaclone/installer/data/mysql/mandatory/account_offset_types.sql' : No such file or directory at /usr/share/perl5/DBIx/RunSQL.pm line 174. ) at /home/vagrant/kohaclone/C4/Installer.pm line 584.
Comment 1 Jonathan Druart 2021-10-25 09:51:34 UTC
Created attachment 126818 [details] [review]
Bug 29158: (bug 22435 follow-up) Remove ref to account_offset_types.sql in intaller

Caused by
  commit 3d6a6e79f79bfbc17807072faf0ff1d4e6aafb82
  Bug 22435: (follow-up) Drop account_offset_types table
that removes the file but the reference to it from the installer
process.

Test plan:
Go through the install process and notice that the following warning
does not appear in the log:
[2021/10/25 09:47:58] [WARN] Something went wrong loading file /kohadevbox/koha/installer/data/mysql/mandatory/account_offset_types.sql (Couldn't read '/kohadevbox/koha/installer/data/mysql/mandatory/account_offset_types.sql' : No such file or directory at /usr/share/perl5/DBIx/RunSQL.pm line 180.
Comment 2 Martin Renvoize 2021-10-26 13:47:22 UTC
Created attachment 126914 [details] [review]
Bug 29158: (bug 22435 follow-up) Remove ref to account_offset_types.sql in intaller

Caused by
  commit 3d6a6e79f79bfbc17807072faf0ff1d4e6aafb82
  Bug 22435: (follow-up) Drop account_offset_types table
that removes the file but the reference to it from the installer
process.

Test plan:
Go through the install process and notice that the following warning
does not appear in the log:
[2021/10/25 09:47:58] [WARN] Something went wrong loading file /kohadevbox/koha/installer/data/mysql/mandatory/account_offset_types.sql (Couldn't read '/kohadevbox/koha/installer/data/mysql/mandatory/account_offset_types.sql' : No such file or directory at /usr/share/perl5/DBIx/RunSQL.pm line 180.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2021-10-26 13:47:52 UTC
Damn, I shouldn't have missed that.

Works as expected, thanks for the fix.. going straight for PQA :)
Comment 4 Jonathan Druart 2021-10-26 14:42:10 UTC
Pushed to master for 21.11, thanks to everybody involved!